import { LoadingController } from '@ionic/angular';
import { Observable } from 'rxjs';
import { BaseMessage, I18nBaseService, LoadingDefault } from 'totvs-log-base-foundation';
/**
 * Serviço responsável pela apresentação de loading
 */
export declare class ShowLoadingService extends LoadingDefault {
    private i18n;
    private loadingController;
    private loadingIsActiveProperty;
    readonly loadingIsActive: Observable<boolean>;
    private loading;
    private loadingActived;
    private loadingText;
    private thfContentTemplate;
    private active;
    /**
     * Método construtor que inicializa a classe
     * i18n Serviço de internacionalização
     * loadingController Serviço de loading
     */
    constructor(i18n: I18nBaseService, loadingController: LoadingController);
    showLoading(): Observable<void>;
    hideLoading(): void;
    setLoadingText(loadingText: BaseMessage): void;
}
