import { EventEmitter } from '@angular/core';
import { Network } from '@ionic-native/network/ngx';
import { AuthConfig, OAuthService } from 'angular-oauth2-oidc';
import { LoggingService } from 'ionic-logging-service';
import { IOAuthAngularConfig } from './oauth-angular-config.interface';
import { OAuthAngularSessionService } from './oauth-angular-session.service';
import { TenantService } from './tenant/tenant.service';
export declare class OAuthAngularService {
    oAuthAngularConfig: IOAuthAngularConfig;
    private loggingService;
    private network;
    private oauth;
    private session;
    private tenantPersistence;
    isBackButton: boolean;
    tokenExpiredEvent: EventEmitter<{}>;
    authorizedEvent: EventEmitter<{}>;
    unauthorizedEvent: EventEmitter<{}>;
    private silentRenew;
    private networkConnect;
    constructor(oAuthAngularConfig: IOAuthAngularConfig, loggingService: LoggingService, network: Network, oauth: OAuthService, session: OAuthAngularSessionService, tenantPersistence: TenantService);
    authorize(): Promise<boolean>;
    logoutFlow(): Promise<void>;
    private getAccessToken;
    private getUser;
    private isExpired;
    private silentRefresh;
    private setupAutomaticSilentRefresh;
    teardownAutomaticSilentRefresh(): void;
    private setCurrentTenantFromUser;
    private loginFlow;
    gotTokenFlow(auth: AuthConfig): Promise<void>;
}
